Bug 222547 - Crashes when looking at pictures / AkonadiResource crashed opening vcf-file recouce properties in KAddressBook [QList, KDirWatchPrivate::Entry::propagate_dirty, ..., KDirWatchPrivate::slotRescan]
Summary: Crashes when looking at pictures / AkonadiResource crashed opening vcf-file r...
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
: 208486 222709 223584 226171 230268 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-01-13 15:15 UTC by Xosé
Modified: 2018-08-21 09:06 UTC (History)
22 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
patched version of 4.3.5 release of kio/kio/kdirwatch.cpp (50.81 KB, text/plain)
2010-02-22 20:11 UTC, Rudolf Leitgeb
Details
patched version of 4.3.5 release of kio/kio/kdirwatch.h (9.97 KB, text/plain)
2010-02-22 20:13 UTC, Rudolf Leitgeb
Details
patched version of 4.3.5 release of kio/kio/kdirwatch_p.h (7.11 KB, text/plain)
2010-02-22 20:14 UTC, Rudolf Leitgeb
Details
patch for kde4libs on Ubuntu 9.10 (2.98 KB, patch)
2010-02-23 18:24 UTC, Rudolf Leitgeb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xosé 2010-01-13 15:15:05 UTC
Application: digikam (1.0.0)
KDE Platform Version: 4.3.90 (KDE 4.3.90 (KDE 4.4 RC1))
Qt Version: 4.6.0
Operating System: Linux 2.6.31-18-generic x86_64
Distribution: Ubuntu 9.10

-- Information about the crash:
I was looking at the pictures in a folder. I pressed Next.

The crash does not seem to be reproducible.

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f9c930047c0 (LWP 2250))]

Thread 24 (Thread 0x7f9c801bd910 (LWP 2251)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c8c52967b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0xd584a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xd584a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000006c4033 in ?? ()
#4  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0xd00790) at thread/qthread_unix.cpp:244
#5  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 23 (Thread 0x7f9c7c09f910 (LWP 2256)):
#0  0x00007f9c85e238df in g_main_context_acquire () from /lib/libglib-2.0.so.0
#1  0x00007f9c85e25112 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f9c85e256c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f9c8c645676 in QEventDispatcherGlib::processEvents (this=0x1003db0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#4  0x00007f9c8c61a972 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f9c8c61ad4c in QEventLoop::exec (this=0x7f9c7c09efd0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f9c8c525c79 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0xc61f40) at thread/qthread_unix.cpp:244
#8  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 22 (Thread 0x7f9c7b100910 (LWP 2257)):
#0  0x00007f9c85e24d69 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0x00007f9c85e25191 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f9c85e256c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f9c8c645676 in QEventDispatcherGlib::processEvents (this=0xd8fe20, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#4  0x00007f9c8c61a972 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f9c8c61ad4c in QEventLoop::exec (this=0x7f9c7b0fffd0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f9c8c525c79 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x113f0d0) at thread/qthread_unix.cpp:244
#8  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7f9c7a87f910 (LWP 2258)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c8c52967b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1182138, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1182138, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f9c900411c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x1182120) at thread/qthread_unix.cpp:244
#5  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f9c7a07e910 (LWP 2259)):
#0  0x00007f9c8c50cba0 in pthread_once@plt () from /usr/lib/libQtCore.so.4
#1  0x00007f9c8c528386 in QThreadData::current () at thread/qthread_unix.cpp:130
#2  0x00007f9c8c645b09 in postEventSourcePrepare (s=0x7f9c8c92fc30, timeout=0x7f9c8c528310) at kernel/qeventdispatcher_glib.cpp:253
#3  0x00007f9c85e24dba in g_main_context_prepare () from /lib/libglib-2.0.so.0
#4  0x00007f9c85e25191 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007f9c85e256c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#6  0x00007f9c8c645676 in QEventDispatcherGlib::processEvents (this=0x11876b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#7  0x00007f9c8c61a972 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#8  0x00007f9c8c61ad4c in QEventLoop::exec (this=0x7f9c7a07dfd0, flags=) at kernel/qeventloop.cpp:201
#9  0x00007f9c8c525c79 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#10 0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x10fd130) at thread/qthread_unix.cpp:244
#11 0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f9c7987d910 (LWP 2260)):
#0  0x00007f9c8c29d6dd in __pthread_mutex_unlock_usercnt (mutex=0x11b3108) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x11b3108) at pthread_mutex_unlock.c:289
#2  0x00007f9c85e24dae in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x00007f9c85e25191 in ?? () from /lib/libglib-2.0.so.0
#4  0x00007f9c85e256c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x00007f9c8c645676 in QEventDispatcherGlib::processEvents (this=0x10b9bb0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#6  0x00007f9c8c61a972 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#7  0x00007f9c8c61ad4c in QEventLoop::exec (this=0x7f9c7987cfd0, flags=) at kernel/qeventloop.cpp:201
#8  0x00007f9c8c525c79 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#9  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x1073ee0) at thread/qthread_unix.cpp:244
#10 0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f9c7907c910 (LWP 2261)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c8c52967b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1072f58, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1072f58, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f9c900411c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x1072f40) at thread/qthread_unix.cpp:244
#5  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 17 (Thread 0x7f9c71755910 (LWP 2262)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007f9c769b6c91 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 16 (Thread 0x7f9c6f3cd910 (LWP 2263)):
#0  0x00007f9c8b851412 in select () from /lib/libc.so.6
#1  0x00007f9c769df725 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007f9c769c47e9 in ?? () from /usr/lib/libxine.so.1
#3  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f9c6ebcc910 (LWP 2264)):
#0  0x00007f9c85e24c96 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0x00007f9c85e25191 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f9c85e256c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f9c8c645676 in QEventDispatcherGlib::processEvents (this=0xdeeb60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#4  0x00007f9c8c61a972 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f9c8c61ad4c in QEventLoop::exec (this=0x7f9c6ebcbf70, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f9c8c525c79 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f9c76c12570 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0xdee4f0) at thread/qthread_unix.cpp:244
#9  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 14 (Thread 0x7f9c6e1c1910 (LWP 2267)):
#0  0x00007f9c8b84c3c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f9c6e1c7cbe in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f9c6d9c0910 (LWP 2268)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c769c7983 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f9c6b6b7910 (LWP 2269)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c8c52967b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1b74ce8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1b74ce8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f9c900411c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x1b74cd0) at thread/qthread_unix.cpp:244
#5  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 11 (Thread 0x7f9c6aeb6910 (LWP 2276)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c8c52967b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2e89af8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2e89af8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f9c900411c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x2e89ae0) at thread/qthread_unix.cpp:244
#5  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f9c686b1910 (LWP 2277)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c8c52967b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x30ee288, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x30ee288, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f9c900411c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x30ee270) at thread/qthread_unix.cpp:244
#5  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f9c64e4a910 (LWP 2296)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c8c52967b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x33c3f78, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x33c3f78, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f9c900411c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x33c3f60) at thread/qthread_unix.cpp:244
#5  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f9c63e48910 (LWP 2310)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c8c52967b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x687a7f8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x687a7f8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f9c900411c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x687a7e0) at thread/qthread_unix.cpp:244
#5  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f9c68eb2910 (LWP 2311)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c8c52967b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x6860e08, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x6860e08, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f9c900411c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x6860df0) at thread/qthread_unix.cpp:244
#5  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f9c57aaa910 (LWP 2321)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c8c52967b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x69b23c8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x69b23c8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x0000000000747314 in ?? ()
#4  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x63c9cd0) at thread/qthread_unix.cpp:244
#5  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f9c572a9910 (LWP 2538)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c8c52967b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x35c0d28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x35c0d28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f9c900411c2 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#4  0x00007f9c8c5286c5 in QThreadPrivate::start (arg=0x35c0d10) at thread/qthread_unix.cpp:244
#5  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f9c4f82f910 (LWP 2561)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c769ba54b in ?? () from /usr/lib/libxine.so.1
#2  0x00007f9c769c051d in ?? () from /usr/lib/libxine.so.1
#3  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f9c6564b910 (LWP 2562)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c769ba54b in ?? () from /usr/lib/libxine.so.1
#2  0x00007f9c769c1555 in ?? () from /usr/lib/libxine.so.1
#3  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f9c55179910 (LWP 2563)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f9c769caa0b in xine_event_wait () from /usr/lib/libxine.so.1
#2  0x00007f9c769caa7e in ?? () from /usr/lib/libxine.so.1
#3  0x00007f9c8c299a04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f9c8b85880d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f9c930047c0 (LWP 2250)):
[KCrash Handler]
#5  QBasicAtomicInt::ref (this=0x61296e8) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#6  QList (this=0x61296e8) at /usr/include/qt4/QtCore/qlist.h:114
#7  QForeachContainer (this=0x61296e8) at /usr/include/qt4/QtCore/qglobal.h:2229
#8  KDirWatchPrivate::Entry::propagate_dirty (this=0x61296e8) at ../../kio/kio/kdirwatch.cpp:416
#9  0x00007f9c8ec24cfb in KDirWatchPrivate::Entry::propagate_dirty (this=<value optimized out>) at ../../kio/kio/kdirwatch.cpp:421
#10 0x00007f9c8ec2dd4f in KDirWatchPrivate::slotRescan (this=0xef5f70) at ../../kio/kio/kdirwatch.cpp:1349
#11 0x00007f9c8ec2e924 in KDirWatchPrivate::qt_metacall (this=0xef5f70, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff651b9e0) at ./kdirwatch_p.moc:81
#12 0x00007f9c8c62edc3 in QMetaObject::activate (sender=0xef5f80, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3294
#13 0x00007f9c8c62ba33 in QObject::event (this=0xef5f80, e=0x7ffff651c0a0) at kernel/qobject.cpp:1224
#14 0x00007f9c8d20ee8c in QApplicationPrivate::notify_helper (this=0xbfead0, receiver=0xef5f80, e=0x7ffff651c0a0) at kernel/qapplication.cpp:4242
#15 0x00007f9c8d21548d in QApplication::notify (this=0x7ffff651c410, receiver=0xef5f80, e=0x7ffff651c0a0) at kernel/qapplication.cpp:4125
#16 0x00007f9c8e6dae16 in KApplication::notify (this=0x7ffff651c410, receiver=0xef5f80, event=0x7ffff651c0a0) at ../../kdeui/kernel/kapplication.cpp:302
#17 0x00007f9c8c61c04c in QCoreApplication::notifyInternal (this=0x7ffff651c410, receiver=0xef5f80, event=0x7ffff651c0a0) at kernel/qcoreapplication.cpp:704
#18 0x00007f9c8c648d52 in QCoreApplication::sendEvent (this=0xc027f0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#19 QTimerInfoList::activateTimers (this=0xc027f0) at kernel/qeventdispatcher_unix.cpp:603
#20 0x00007f9c8c645958 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#21 idleTimerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:231
#22 0x00007f9c85e21bce in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#23 0x00007f9c85e25598 in ?? () from /lib/libglib-2.0.so.0
#24 0x00007f9c85e256c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#25 0x00007f9c8c645623 in QEventDispatcherGlib::processEvents (this=0xbc29c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:407
#26 0x00007f9c8d2bd2fe in QGuiEventDispatcherGlib::processEvents (this=0x61296e8, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#27 0x00007f9c8c61a972 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#28 0x00007f9c8c61ad4c in QEventLoop::exec (this=0x7ffff651c340, flags=) at kernel/qeventloop.cpp:201
#29 0x00007f9c8c61ea8b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#30 0x0000000000761afb in ?? ()
#31 0x00007f9c8b797abd in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=0x7ffff651d2b8) at libc-start.c:220
#32 0x00000000004720d9 in _start ()
The current source language is "auto; currently c".

Possible duplicates by query: bug 221469.

Reported using DrKonqi
Comment 1 Dario Andres 2010-01-13 15:28:22 UTC
This looks like a KIO issue, which could be related to bug 208486.
Regards
Comment 2 Dario Andres 2010-01-13 17:31:46 UTC
*** Bug 222550 has been marked as a duplicate of this bug. ***
Comment 3 Dario Andres 2010-01-15 01:20:24 UTC
From bug 222709:
-- Information about the crash:
on KAddressBook (Kontact)
* couldn't edit a contact
* opened the properties for the corresponding addressbook (vcf file resource)
* saw read only is not checked
* tried to edit againm didn't work
* opened the properties dialog once again => crash
Comment 4 Dario Andres 2010-01-15 01:20:28 UTC
*** Bug 222709 has been marked as a duplicate of this bug. ***
Comment 5 Dario Andres 2010-01-20 16:11:14 UTC
From bug 223584:
-- Information about the crash:
I "svn reverted" a file, that was opened in kate. When I tried to close the
file in kate (the file, not kate completely), kate crashed
Comment 6 Dario Andres 2010-01-20 16:11:20 UTC
*** Bug 223584 has been marked as a duplicate of this bug. ***
Comment 7 Dario Andres 2010-01-20 21:31:17 UTC
From bug 223614:
-- Information about the crash:
This is what I was doing
1- Select 1 photo
2- Change some Levels and color. 
3- Push Save button.
4- You got your shine crash
Comment 8 Dario Andres 2010-01-20 21:31:23 UTC
*** Bug 223614 has been marked as a duplicate of this bug. ***
Comment 9 Johannes Wienke 2010-01-31 20:35:41 UTC
*** Bug 225038 has been marked as a duplicate of this bug. ***
Comment 10 Dario Andres 2010-02-02 23:38:33 UTC
*** Bug 225263 has been marked as a duplicate of this bug. ***
Comment 11 Dario Andres 2010-02-10 20:36:46 UTC
From bug 226171:
-- What I was doing when the application crashed:
I changed a file under subversion control and commited it

As the commit changes certain information in the file (svn properties - Author,
Id etc) the file was marked with a red cross.

When I then attempted to close the file Kate then exited with a Segmentation
fault rather then just closing the file.
Comment 12 Dario Andres 2010-02-10 20:36:49 UTC
*** Bug 226171 has been marked as a duplicate of this bug. ***
Comment 13 Dario Andres 2010-02-15 22:31:41 UTC
Steps to reproduce:

- Start KWrite
- Write a dummy text and save the file to disk
- Externally remove the file ("rm foobar", from Konsole)
- In the first KWrite warning about the changed file select "Cancel"
- Try to save the file
- In the second KWrite warning select "Cancel"
- Go to the KWrite Settings
- In the third KWrite warning select "Cancel"
- Externally recreate the file ("touch foobar" from Konsole)

Here using:

Qt: 4.6.1 (kde-qt master commit 46ef51d8bf520bda3eea9e996349694ce1ff3959
        Date:   Sat Jan 30 02:23:21 2010 +0100)
KDE Development Platform: 4.4.63 (KDE 4.4.63 (KDE 4.5 >= 20100209))
kdelibs svn rev. 1090634 / kdebase svn rev. 1090635
on ArchLinux i686 - Kernel 2.6.32.8
Comment 14 Dario Andres 2010-02-15 23:07:35 UTC
SVN commit 1090729 by dfaure:

Fix the "kdirwatch crash on re-entrancy from the slots" by emitting the signals
in a delayed manner.
Fixed for: 4.4.1
BUG: 224229 208486 226674 222547


 M  +21 -9     kdirwatch.cpp
 M  +20 -16    kdirwatch.h
 M  +2 -0      kdirwatch_p.h


WebSVN link: http://websvn.kde.org/?view=rev&revision=1090729
Comment 15 Dario Andres 2010-02-15 23:40:48 UTC
*** Bug 208486 has been marked as a duplicate of this bug. ***
Comment 16 Dario Andres 2010-02-16 21:27:35 UTC
*** Bug 227253 has been marked as a duplicate of this bug. ***
Comment 17 caulier.gilles 2010-02-16 22:42:27 UTC
*** Bug 227220 has been marked as a duplicate of this bug. ***
Comment 18 Johannes Wienke 2010-02-21 11:17:05 UTC
*** Bug 227902 has been marked as a duplicate of this bug. ***
Comment 19 Rudolf Leitgeb 2010-02-22 20:11:13 UTC
Created attachment 41015 [details]
patched version of 4.3.5 release of kio/kio/kdirwatch.cpp
Comment 20 Rudolf Leitgeb 2010-02-22 20:13:50 UTC
Created attachment 41016 [details]
patched version of 4.3.5 release of kio/kio/kdirwatch.h
Comment 21 Rudolf Leitgeb 2010-02-22 20:14:51 UTC
Created attachment 41017 [details]
patched version of 4.3.5 release of kio/kio/kdirwatch_p.h
Comment 22 Rudolf Leitgeb 2010-02-22 20:17:46 UTC
I have applied this patch to Ubuntu's KDE 4.3.5 release (had to modify some
line numbers) and it seems to work for right now. Could any of the KDE experts
confirm that this patch has no side effects if applied to KDE 4.3.5? It would
be very helpful if this patch made it into the main Ubuntu distro as crashing
applications are a major annoyance. I had digiKam crashing regularly before I
applied the patch.

In order to help you speed up things I attached the three affected files which
I patched manually. To all those who want to try out the patched files: These
are kio/kio/kdirwatch.cpp, kio/kio/kdirwatch.h and kio/kio/kdirwatch_p.h

The patched source deb compiles file and produces working libraries and
executables, however, I would like to point out that I'm not familiar with the
KDE code base and have done little testing with the patched KDE libs so far.
Comment 23 David Faure 2010-02-23 16:32:11 UTC
Full files are not useful and impossible to review, better post a patch that applies to the 4.3.5 sources.
Comment 24 Rudolf Leitgeb 2010-02-23 18:24:33 UTC
Created attachment 41038 [details]
patch for kde4libs on Ubuntu 9.10

This patch is supposed to do the same thing for Ubuntu's version of the KDE (4.3.5) what the original patch does for KDE 4.4. I have used digiKam without crashes after applying this patch to the source deb. Please note that you need to go to the kio sub directory (not kio/kio !) before applying this patch!
Comment 25 Dario Andres 2010-02-27 19:14:03 UTC
*** Bug 228788 has been marked as a duplicate of this bug. ***
Comment 26 Chris Tanner 2010-02-27 19:27:52 UTC
Thanks,

Chris

On February 27, 2010 01:14:09 pm Dario Andres wrote:
> https://bugs.kde.org/show_bug.cgi?id=222547
> 
> 
> Dario Andres <andresbajotierra@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ---------------------------------------------------------------------------
> - CC|                            |christopher.tanner@sympatic
> 
>                    |                            |o.ca
> 
> --- Comment #25 from Dario Andres <andresbajotierra gmail com>  2010-02-27
> 19:14:03 --- *** Bug 228788 has been marked as a duplicate of this bug.
> ***
Comment 27 Johannes Wienke 2010-03-07 19:30:20 UTC
*** Bug 229857 has been marked as a duplicate of this bug. ***
Comment 28 caulier.gilles 2010-03-11 19:43:27 UTC
*** Bug 230346 has been marked as a duplicate of this bug. ***
Comment 29 Dario Andres 2010-03-12 20:36:56 UTC
*** Bug 230268 has been marked as a duplicate of this bug. ***
Comment 30 caulier.gilles 2010-03-13 07:54:31 UTC
*** Bug 230531 has been marked as a duplicate of this bug. ***
Comment 31 Dario Andres 2010-03-14 23:46:32 UTC
*** Bug 230755 has been marked as a duplicate of this bug. ***
Comment 32 caulier.gilles 2010-03-15 09:50:39 UTC
*** Bug 230799 has been marked as a duplicate of this bug. ***
Comment 33 caulier.gilles 2010-03-16 07:16:10 UTC
*** Bug 230897 has been marked as a duplicate of this bug. ***
Comment 34 caulier.gilles 2010-03-23 10:12:26 UTC
*** Bug 231868 has been marked as a duplicate of this bug. ***
Comment 35 caulier.gilles 2010-03-23 10:14:45 UTC
*** Bug 231866 has been marked as a duplicate of this bug. ***
Comment 36 caulier.gilles 2010-04-03 21:34:10 UTC
*** Bug 233195 has been marked as a duplicate of this bug. ***